Subject: [Bug 213837] "Kernel panic - not syncing: corrupted stack end detected inside scheduler" at building via distcc on a G5

From: [email-masked]
Date: Fri, 24 Sep 2021 22:16:42 +0000

https://bugzilla.kernel.org/show_bug.cgi?id=213837

--- Comment #10 from Erhard F. ([email-masked]) ---
Created attachment 298959
  --> https://bugzilla.kernel.org/attachment.cgi?id=298959&action=edit
kernel .config (5.15-rc2 + CONFIG_THREAD_SHIFT=15, PowerMac G5 11,2)

(In reply to mpe from comment #8)
> You could also try changing CONFIG_THREAD_SHIFT to 15, that might keep
> the system running a bit longer and give us some other clues.
The stack seems just large enough with CONFIG_THREAD_SHIFT=15 to not run into
this bug. I let the G5 build stuff via distcc in zram disk for a day without an
issue. With  CONFIG_THREAD_SHIFT=14 I hit the bug within minutes.

Just for completeness I'll upload the System.map and kernel .config with
CONFIG_THREAD_SHIFT=15.

-- 
You may reply to this email to add a comment.

You are receiving this mail because:
You are watching the assignee of the bug.
You are watching someone on the CC list of the bug.